// pages/GroupTour/GroupList/GroupList.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    StopResh:false,
    dates:[],
    datecount:[
      {
        id:1,
        name:"1天"
      }, {
        id: 2,
        name: "2天"
      }, {
        id: 3,
        name: "3天"
      }, {
        id: 4,
        name: "4天"
      }, {
        id: 5,
        name: "5天"
      }, {
        id: 6,
        name: "6天"
      }, {
        id: 7,
        name: "7-8天"
      }, {
        id: 9,
        name: "9-10天"
      }, {
        id: 10,
        name: "10天以上"
      },
    ],
    ScreenStatus:false,
  },
  // 最近3个月
  loadDates() {
    let dates=[];
    let d = new Date().getMonth();
    for (let i = 0; i < 3; i++) {
      d++;
      d = d > 12 ? d - 12 : d;
      let obj={
        id:d,
        name: d + "月"
      }
      dates.push(obj);
    }
    this.setData({
      dates:dates
    })
  },
  PXClick() {
    this.setData({
      StopResh:true,
    })
  },
  ClosePXView(e) {
    if (e.target.dataset.target == "self") {
      this.setData({
        StopResh: false,
        
      })
    }
  },
  
  bindDateChange(e){
    console.log('picker发送选择改变，携带值为', e.detail.value)
  },
  ScreenOpen(){
    this.setData({
      ScreenStatus:true,
    })
  },
  CloseScreen(e) {
    if (e.target.dataset.target == "self") {
      this.setData({
        ScreenStatus: false,
        
      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.loadDates();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})